#ifndef MENU_H
#define MENU_H

#include "Pantalla.h"

#include <gl/gl.h>
#include <gl/glu.h>
#include <gl/glut.h>
//#include "../include/gl/glut.h"

#define CANT_OPCIONES 4
#define OPCION_INICIO 0
#define OPCION_CONFIG 2
#define OPCION_AYUDA 1
#define OPCION_SALIR 3

#define CONFIG_VEL 0
#define CONFIG_POLI 1
#define CONFIG_FACETADO 2
#define CONFIG_TEXTURA 3
#define CONFIG_MATERIAL 4
#define CONFIG_LUZ 5
#define CONFIG_LUZ_SOL 6
#define CONFIG_COLOR 7
#define CANT_CONFIGS 8

#define ESTADO_MENU 0
#define ESTADO_AYUDA 1
#define ESTADO_CONFIG 2

class Menu : public Pantalla {
public:
	Menu();
	virtual void init();
	virtual void special(int key, int x, int y);
	virtual void keyboard(unsigned char key, int x, int y);
	virtual void display();
	virtual void reshape(int width, int height);
private:
	int opcion;
	GLuint fondoMenu;
	GLuint fondoAyuda;
	GLuint fondoConfig;
	int opcionConfig;
	char *opciones[CANT_OPCIONES];
	int estado;
};

#endif
